import Vue from 'vue'
import App from './App.vue'
import router from './router'
import { store } from './store/index.js'

// 引入element ui
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'
Vue.use(ElementUI)

// 引入css
import './styles/index.scss'
// 注册svg组件
import SvgIcon from '@/components/SvgIcons/index.vue'
Vue.component('SvgIcon', SvgIcon)
// 序列化post方法
import qs from 'qs'
Vue.prototype.$qs = qs

// 引入tailwind
// https://www.tailwindcss.cn/docs/installation

Vue.prototype.$BASE_URL = window?._BASE_CONFIG?.API
Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: (h) => h(App)
}).$mount('#app')
