/*
 * @Author: your name
 * @Date: 2024-05-17 14:57:38
 * @LastEditTime: 2024-05-17 16:21:14
 * @LastEditors: bogon
 * @Description: In User Settings Edit
 * @FilePath: /dasheng/performance-test/src/store/auth.js
 */
import { login } from "../api/login";
import routerInit from "../router/index";
import { getAuthRouterFn } from "@/utils/getAuth";
export default {
  namespaced: true, //子模块一定要开启命名空间
  state: {
    userInfo: {},
  },
  getters: {},
  mutations: {
    SET_USERINFO(state, payload) {
      state.userInfo = payload;
    },
  },
  actions: {
    async goLogin({ commit, dispatch }, obj) {
      try {
        const result = await login(obj);
        commit("SET_USERINFO", result.data);
        dispatch("setAddRouter", result.data.permission);
      } catch (error) {
        console.error("Login error:", error);
      }
    },
    setAddRouter({ commit, dispatch }, router) {
      console.log(router, "router");
      getAuthRouterFn(router);
    },
  },
};
