/*
 * @Author: your name
 * @Date: 2024-05-17 16:09:03
 * @LastEditTime: 2024-05-17 17:45:31
 * @LastEditors: bogon
 * @Description: In User Settings Edit
 * @FilePath: /performance-test/src/utils/getAuth.js
 */
import { orgList } from "@/views/home/components/mockData";
//返回可动态添加的路由
export const getAuthRouterFn = (list) => {
  console.log(list, orgList, "权限路由 前后端");
  // 将list 转成一维数组，按钮级别权限拿到 返回为[]格式
  const { result, anthBtnList } = flattenTree(list);
  const arr = filterTreeByPermissions(result, orgList);
  console.log(arr, "routes");
};

const flattenTree = (tree) => {
  let result = [];
  let anthBtnList = [];
  const flattenRecursive = (nodes) => {
    nodes.forEach((node) => {
      result.push(node);
      if (node.children && node.children.length > 0) {
        flattenRecursive(node.children);
      }
      if (node.permissionDepth === 2) {
        anthBtnList.push(node);
      }
    });
  };

  flattenRecursive(tree);
  return { result, anthBtnList };
};
const filterTreeByPermissions = (permissions, tree) => {
  // 将 permissions 转换成一个 Set 以便于快速查找
  const permissionSet = new Set(permissions.map((item) => item.permissionName));

  const filterTreeRecursive = (nodes) => {
    const filteredNodes = [];

    nodes.forEach((node) => {
      // 检查当前节点是否在权限列表中
      if (permissionSet.has(node.name)) {
        // 创建一个新的节点对象，避免修改原始树
        const newNode = { ...node };
        // 如果节点有子节点，则递归过滤子节点
        if (node.children && node.children.length > 0) {
          newNode.children = filterTreeRecursive(node.children);
        }
        filteredNodes.push(newNode);
      }
    });

    return filteredNodes;
  };

  return filterTreeRecursive(tree);
};
